﻿@model MIMS.Portal.ViewModels.BankAccount.BankAccountViewModel
@using MIMS.Portal.Commons.Extensions;

@{
    ViewData["PageTitle"] = "حساب بانکی";
}

<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                <h4 class="card-title">مشخصات حساب بانکی</h4>
            </div>
            <div class="card-body">
                <div class="card-block">
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantFullName" class="control-label"></label>
                                <p><strong>@Model?.MerchantFullName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="MerchantNationalCode" class="control-label"></label>
                                <p><strong>@Model?.MerchantNationalCode</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="CreatedDate" class="control-label"></label>
                                <p><strong dir="ltr">@Model.CreatedDate.ToPeString()</strong></p>
                            </div>
                        </div>
                    </div>
                    <hr />
                    <div class="row">
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="BankName" class="control-label"></label>
                                <p><strong>@Model.BankName</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3" hidden>
                            <div class="form-group">
                                <label asp-for="BankBranchCode" class="control-label"></label>
                                <p><strong>@Model.BankBranchCode</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="AccountNumber" class="control-label"></label>
                                <p><strong>@Model.AccountNumber</strong></p>
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="AccountIban" class="control-label"></label>
                                <p><strong>@Model.AccountIban</strong></p>
                            </div>
                        </div>
                        
                        <div class="col-md-3">
                            <div class="form-group">
                                <label asp-for="AccountHolderFullName" class="control-label"></label>
                                <p><strong>@Model.AccountHolderFullName</strong></p>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="card-footer">
                <a asp-action="Edit" asp-controller="BankAccounts" asp-route-Id="@Model.Id" class="btn btn-info"><i class="icon-edit0"></i> ویرایش</a>
            </div>
        </div>
    </div>
</div>
